section.container.element
Prev | Miscellaneous | Next

## section.container.element

section.container.element — Select XSL-FO element name to contain sections

## Synopsis

    <xsl:param name="section.container.element">block</xsl:param>

## Description

Selects the element name for outer container of each section. The choices are `block` (default) or `wrapper`. The `fo:` namespace prefix is added by the stylesheet to form the full element name.

This element receives the section `id` attribute and the appropriate section level attribute-set.

Changing this parameter to `wrapper` is only necessary when producing multi-column output that contains page-wide spans. Using `fo:wrapper` avoids the nesting of `fo:block` elements that prevents spans from working (the standard says a span must be on a block that is a direct child of `fo:flow`).

If set to `wrapper`, the section attribute-sets only support properties that are inheritable. That's because there is no block to apply them to. Properties such as font-family are inheritable, but properties such as border are not.

Only some XSL-FO processors need to use this parameter. The Antenna House processor, for example, will handle spans in nested blocks without changing the element name. The RenderX XEP product and FOP follow the XSL-FO standard and need to use `wrapper`.

Prev | Up | Next
email.mailto.enabled | Home | monospace.verbatim.font.width